Class Specialization
Score Matrix
A general scoring matrix.

Score

Score Matrix

Score<TValue, ScoreMatrix<TSequenceValue, TSpec> >
Include Headers
seqan/score.h
Parameters

TValue | Type of the score values. Default: int
TSequenceValue | Type of alphabet underlying the matrix. Default: AminoAcid

Specialization of
Score
Metafunctions

DefaultFindBeginPatternSpec | Type of the default findBegin pattern specialization, given a score. (Score)
Value | Type of the items in the container. (Score)

Member Functions

Score | Constructor.
Score | Constructor (Score)

Functions

alignmentEvaluation | Given a multiple alignment, this function calculates all kinds of alignment statistics. (Score)
globalAlignment | Computes the best global alignment of the two sequences. (Score)
globalMsaAlignment | Computes a global multiple alignment. (Score)
loadScoreMatrix | Load a score matrix from a file.
localAlignment | Computes the best local alignment of two sequences. (Score)
matchRefinement | Refines (i.e. cuts into smaller parts) a set of pairwise segment matches in such a way that none of the segments partly overlap. They are either identical (fully overlapping) or non-overlapping. (Score)
multiLocalAlignment | Computes multiple local alignments of two sequences. (Score)
score | Returns the score for aligning the characters seq1[pos1] and seq2[pos2]. This function allows to define a position-dependent scoring scheme. (Score)
score | Returns the score for aligning the characters seq1[pos1] and seq2[pos2]. This function allows to define a position-dependent scoring scheme. (Score)
setDefaultScoreMatrix | Set the value of the given matrix to the default value.
setScore | Set the substitution score between two values.
sumOfPairsScore | Given a multiple alignment, this function calculates the sum-of-pairs score. (Score)

Shortcuts

Blosum30 | Blosum30 scoring matrix.
Blosum45 | Blosum45 scoring matrix.
Blosum62 | Blosum62 scoring matrix.
Blosum80 | Blosum80 scoring matrix.
Pam120 | Pam120 scoring matrix.
Pam200 | Pam200 scoring matrix.
Pam250 | Pam250 scoring matrix.
Pam40 | Pam40 scoring matrix.
Vtml200 | Vtml200 scoring matrix.

Example Programs
Local Alignments, Global Alignments
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51